GNU bug report logs - #3285
23.0.91; Messaging propertized text increases minibuffer height unnecessarily

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brent Goodrick <bgoodr@HIDDEN>; dated Thu, 14 May 2009 06:10:06 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 3285@HIDDEN:


Received: (at 3285) by emacsbugs.donarmstrong.com; 21 May 2009 15:05:50 +0000
From bgoodr@HIDDEN Thu May 21 08:05:50 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.6 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-pz0-f190.google.com (mail-pz0-f190.google.com [209.85.222.190])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n4LF5j74014430
	for <3285@HIDDEN>; Thu, 21 May 2009 08:05:46 -0700
Received: by pzk28 with SMTP id 28so899384pzk.19
        for <3285@HIDDEN>; Thu, 21 May 2009 08:05:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:cc:content-type
         :content-transfer-encoding;
        bh=RXOfhltAog6052/VIWaz14IeNkybTZWqtvjCDabXHfE=;
        b=e5RIVPfVg04Z7WVGR6Kkd13XfUhuZQpHMxcd5jgwZtAGDjIoxYjaSRMtM4oduQfh39
         6Vp02pvdtUpTLHh+nn6BODtfqK9S+Jjysa5ytvP+BwkpkZ+FnznOB3BKaGyYCWl2nfL9
         VsEeof9zBGdQg9nYyGSmEAbGb9dsOtS1B0kcc=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type:content-transfer-encoding;
        b=tFUJakx9GQown4+DnM8bKCs94flyxbJN/l/mBJhdDwiYwnuUg32tsOPWm0BEBrrNe+
         7y2HOGCz1tJETHHdujEWk9naR9kNjjzWWHprqkAIJhfyc0tvx4fUoKkDizKfw5MGVsfo
         VUUdAZ8m/JP5ijzx5RZDAA0dIOdRnNK4gBHA0=
MIME-Version: 1.0
Received: by 10.142.221.11 with SMTP id t11mr928414wfg.23.1242918340561; Thu, 
	21 May 2009 08:05:40 -0700 (PDT)
In-Reply-To: <003701c9d565$0ab09e50$0200a8c0@HIDDEN>
References: <87iqk3iiiu.fsf@HIDDEN>
	 <e38bce640905142047g3a5a6306p44e8aa698cd51036@HIDDEN>
	 <003701c9d565$0ab09e50$0200a8c0@HIDDEN>
Date: Thu, 21 May 2009 08:05:40 -0700
Message-ID: <e38bce640905210805u24b3ef7el808c69fadd2933dd@HIDDEN>
Subject: Re: bug#3285: 23.0.91;Messaging propertized text increases minibuffer 
	height unnecessarily
From: Brent Goodrick <bgoodr@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Cc: 3285 <at> debbugs.gnu.org, Chong Yidong <cyd@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

On Fri, May 15, 2009 at 6:57 AM, Drew Adams <drew.adams@HIDDEN> wrote:
>> I'm using xft with the "Bitstream Vera Sans Mono-9" font.
>
> I suspect this is the known problem, reported long ago, that if a face makes a
> character slightly taller, then an extra line is allocated to handle the extra 1
> or 2 pixels in height.
>
> I see this too, because I use a face with `box' for one character sometimes in
> the minibuffer (before the prompt), and that causes the minibuffer height to
> increase by a whole character height. The box outline is only 1 pixel thick, but
> those 2 pixels (box top + bottom) are enough to cause the faced character to be
> larger than the one character height allocated.
>
> Maybe (dunno) the same thing happens for bold - maybe the bold characters are a
> pixel or two taller.
>
> This was discussed in Emacs Devel long ago, but never fixed. Maybe there is no
> easy fix, as long as the minibuffer must be an integral number of chars high.
> Dunno.
>
> Yes, it is annoying. We accommodate ascenders and descenders (e.g. in p and d)
> as part of the character height, but we don't account for box outlines or
> (apparently?) for the thickness of bolding.

(I thought I had sent this reply, but found later that it had gotten
stuck in the "Draft bit bucket" 8) ).

I would be more than happy to just have the minibuffer clipped to one
line, with some part of the font clipped.  If not, I'll have to set
the defvar for that font being used in eldoc mode to use something
like inverse highlight using the same font to insure that the
minibuffer stays the same height.

I initially toyed with the idea of forcing the minibuffer to always be
one line tall, but that would undoubtedly interact badly with the
ever-so-useful incremental completion mode(s) where large lists of
things need to be shown in the minibuffer temporarily.

bg




Acknowledgement sent to Brent Goodrick <bgoodr@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3285; Package emacs. Full text available.

Message received at 3285@HIDDEN:


Received: (at 3285) by emacsbugs.donarmstrong.com; 15 May 2009 21:11:42 +0000
From drew.adams@HIDDEN Fri May 15 14:11:42 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-5.1 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from acsinet14.oracle.com (acsinet14.oracle.com [141.146.126.236])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n4FLBc0F025240
	for <3285@HIDDEN>; Fri, 15 May 2009 14:11:39 -0700
Received: from acsinet11.oracle.com (acsinet11.oracle.com [141.146.126.233])
	by acsinet14.oracle.com (Switch-3.3.1/Switch-3.3.1) with ESMTP id n4FDwN6N029349
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <3285@HIDDEN>; Fri, 15 May 2009 13:58:25 GMT
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by acsinet11.oracle.com (Switch-3.3.1/Switch-3.3.1) with ESMTP id n4FDvbfF024253
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 15 May 2009 13:57:39 GMT
Received: from abhmt005.oracle.com (abhmt005.oracle.com [141.146.116.14])
	by acsinet15.oracle.com (Switch-3.3.1/Switch-3.3.1) with ESMTP id n4FDvhkJ029463;
	Fri, 15 May 2009 13:57:43 GMT
Received: from dradamslap1 (/141.144.169.87)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 15 May 2009 06:57:10 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Brent Goodrick'" <bgoodr@HIDDEN>, <3285 <at> debbugs.gnu.org>,
        "'Chong Yidong'" <cyd@HIDDEN>
References: <87iqk3iiiu.fsf@HIDDEN> <e38bce640905142047g3a5a6306p44e8aa698cd51036@HIDDEN>
Subject: RE: bug#3285: 23.0.91;Messaging propertized text increases minibuffer height unnecessarily
Date: Fri, 15 May 2009 06:57:09 -0700
Message-ID: <003701c9d565$0ab09e50$0200a8c0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <e38bce640905142047g3a5a6306p44e8aa698cd51036@HIDDEN>
Thread-Index: AcnVE4gGw8Caur6bR++nZhRoc+EiswAUCCPg
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.3350
X-Source-IP: acsinet11.oracle.com [141.146.126.233]
X-Auth-Type: Internal IP
X-CT-RefId: str=0001.0A090208.4A0D74C3.026B:SCFMA922111,ss=1,fgs=0

> > > Notice that the height changes to 2 lines.
> > >
> > > The maximum height of the regular sized font versus of=20
> > > the bold font can NOT be so different as to cause the
> > > minibuffer have to increase in height from 1 line to 2 lines.
> >
> > I'm afraid I don't observe this. =A0Use a bold font does not=20
> > resize the minibuffer. =A0What font are you using?
>=20
> I'm using xft with the "Bitstream Vera Sans Mono-9" font.

I suspect this is the known problem, reported long ago, that if a face =
makes a
character slightly taller, then an extra line is allocated to handle the =
extra 1
or 2 pixels in height.=20

I see this too, because I use a face with `box' for one character =
sometimes in
the minibuffer (before the prompt), and that causes the minibuffer =
height to
increase by a whole character height. The box outline is only 1 pixel =
thick, but
those 2 pixels (box top + bottom) are enough to cause the faced =
character to be
larger than the one character height allocated.

Maybe (dunno) the same thing happens for bold - maybe the bold =
characters are a
pixel or two taller.

This was discussed in Emacs Devel long ago, but never fixed. Maybe there =
is no
easy fix, as long as the minibuffer must be an integral number of chars =
high.
Dunno.

Yes, it is annoying. We accommodate ascenders and descenders (e.g. in p =
and d)
as part of the character height, but we don't account for box outlines =
or
(apparently?) for the thickness of bolding.

HTH.





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3285; Package emacs. Full text available.

Message received at 3285@HIDDEN:


Received: (at 3285) by emacsbugs.donarmstrong.com; 15 May 2009 03:47:19 +0000
From bgoodr@HIDDEN Thu May 14 20:47:19 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.1 required=4.0 tests=AWL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from wf-out-1314.google.com (wf-out-1314.google.com [209.85.200.170])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n4F3lF6m005255
	for <3285@HIDDEN>; Thu, 14 May 2009 20:47:16 -0700
Received: by wf-out-1314.google.com with SMTP id 28so955922wfa.13
        for <3285@HIDDEN>; Thu, 14 May 2009 20:47:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:cc:content-type
         :content-transfer-encoding;
        bh=7o3YniyVOOVXYwtnVLuPj5bx0c+cuy1yMG289kXF2OY=;
        b=DDDtJxXCbjoDGYtN705QjlbTC1HPyoXJDzaz8ja7KhUhZvWDBSpsgOAtrJemgnsAM5
         H/CcLdY9kuLTYDSt28FhRK/sfsyP7fBEWORYZeZ/cRcnj1T+CvZZeijbh8uIVJRoUVnU
         CUfal1P3VGUxtnjEsioB5prFQXDKLURWQVKGI=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type:content-transfer-encoding;
        b=W87AodGKi3t/f7dwBi8JLd6OY7NlNJZ9EJdoslbYaOYCStxwfYp6jp1VYu8OX4PATu
         mh2+nZfYL+mXkgq0ipbIIQO/iclqESA7fXF9/St9fz7cWZaDLIWl/ydbaTW4U91Co3l3
         KyWglogbWeKNZU3Oq4cgkRt+67EWr2nJvnv1k=
MIME-Version: 1.0
Received: by 10.142.180.10 with SMTP id c10mr963004wff.12.1242359235502; Thu, 
	14 May 2009 20:47:15 -0700 (PDT)
In-Reply-To: <87iqk3iiiu.fsf@HIDDEN>
References: <87iqk3iiiu.fsf@HIDDEN>
Date: Thu, 14 May 2009 20:47:15 -0700
Message-ID: <e38bce640905142047g3a5a6306p44e8aa698cd51036@HIDDEN>
Subject: Re: 23.0.91; Messaging propertized text increases minibuffer height 
	unnecessarily
From: Brent Goodrick <bgoodr@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Cc: 3285 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

On Thu, May 14, 2009 at 12:36 PM, Chong Yidong <cyd@HIDDEN> wrot=
e:
>
> > Notice that the height changes to 2 lines.
> >
> > The maximum height of the regular sized font versus of the bold font
> > can NOT be so different as to cause the minibuffer have to increase in
> > height from 1 line to 2 lines.
>
> I'm afraid I don't observe this. =A0Use a bold font does not resize the
> minibuffer. =A0What font are you using?

I'm using xft with the "Bitstream Vera Sans Mono-9" font.

Brent




Acknowledgement sent to Brent Goodrick <bgoodr@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3285; Package emacs. Full text available.

Message received at 3285@HIDDEN:


Received: (at 3285) by emacsbugs.donarmstrong.com; 14 May 2009 19:36:14 +0000
From cyd@HIDDEN Thu May 14 12:36:14 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-1.9 required=4.0 tests=AWL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n4EJaBh5021084
	for <3285@HIDDEN>; Thu, 14 May 2009 12:36:12 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id A551757E24D; Thu, 14 May 2009 15:36:25 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Brent Goodrick <bgoodr@HIDDEN>
Cc: 3285 <at> debbugs.gnu.org
Subject: Re: 23.0.91; Messaging propertized text increases minibuffer height unnecessarily
Date: Thu, 14 May 2009 15:36:25 -0400
Message-ID: <87iqk3iiiu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> Notice that the height changes to 2 lines.
>
> The maximum height of the regular sized font versus of the bold font
> can NOT be so different as to cause the minibuffer have to increase in
> height from 1 line to 2 lines.

I'm afraid I don't observe this.  Use a bold font does not resize the
minibuffer.  What font are you using?




Acknowledgement sent to Chong Yidong <cyd@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3285; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 14 May 2009 06:05:50 +0000
From bgoodr@HIDDEN Wed May 13 23:05:49 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.9 required=4.0 tests=AWL,FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n4E65jnP027464
	for <submit@HIDDEN>; Wed, 13 May 2009 23:05:46 -0700
Received: from mx10.gnu.org ([199.232.76.166]:36049)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <bgoodr@HIDDEN>)
	id 1M4U4e-0005Hy-98
	for emacs-pretest-bug@HIDDEN; Thu, 14 May 2009 02:05:44 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <bgoodr@HIDDEN>)
	id 1M4U4Z-0001f6-EN
	for emacs-pretest-bug@HIDDEN; Thu, 14 May 2009 02:05:43 -0400
Received: from rv-out-0708.google.com ([209.85.198.246]:35832)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <bgoodr@HIDDEN>)
	id 1M4U4Y-0001f0-VY
	for emacs-pretest-bug@HIDDEN; Thu, 14 May 2009 02:05:39 -0400
Received: by rv-out-0708.google.com with SMTP id f25so853610rvb.6
        for <emacs-pretest-bug@HIDDEN>; Wed, 13 May 2009 23:05:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:from:message-id:date
         :mime-version:content-type:content-transfer-encoding:to:subject
         :x-mailer;
        bh=sw7FBS0mEjHGmqUWbmZ4HKU33pSBbViWXFDs4jrSu3s=;
        b=ZTnoBkQYy4wE229fZd9+e84s1JYJ9Sj2ne3zTIPRJT6JaY20X+e0N8GHzq0A3sCZ+0
         97lqc6I81z2doCD+zW999/pGXIUdno4cqZL2sMujkGws2hBQ5MNf4rxPCwF0RahT4Jcf
         ULMq92Md4X7qIhaymM2PH6kyNWQno0HtdgAMI=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=from:message-id:date:mime-version:content-type
         :content-transfer-encoding:to:subject:x-mailer;
        b=s2vpWzt9h90w9geJv6pdOaFojuufppkSSc/uerBINr6ucjJctlQdMF0KucYFYa3Y78
         NuaW6eWT/mKZoV6M4/46MMmdKrsjG9TM16UV4HVVOd/hmFd+Kd1oLvVQXWCY6K3MfSIV
         Io1ODOE/rqxZUDvjbEXEhegsRqL2Xgo1eiNgs=
Received: by 10.141.15.11 with SMTP id s11mr100529rvi.222.1242281136554;
        Wed, 13 May 2009 23:05:36 -0700 (PDT)
Received: from yoga.brentg.com.thisisbogus.com ([76.14.208.3])
        by mx.google.com with ESMTPS id c20sm2386696rvf.30.2009.05.13.23.05.36
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Wed, 13 May 2009 23:05:36 -0700 (PDT)
From: Brent Goodrick <bgoodr@HIDDEN>
Message-ID: <18955.46223.855653.321870@HIDDEN>
Date: Wed, 13 May 2009 23:05:03 -0700
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.91; Messaging propertized text increases minibuffer height unnecessarily
X-Mailer: VM viewmail-609 under 23.0.91.1 (i686-pc-linux-gnu)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)


Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the emacs-pretest-bug@HIDDEN mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

This defect is reported against Emacs built from CVS top of trunk source
within the last month, but this issue may have existed before then. 

Description of the defect:

Run this command from the command-line on that version of Emacs:

emacs -q --eval="(progn (message \"%s\" (let ((doc \"(SEXP)\"))
						(add-text-properties 1 5 (list 'face '((t (:inherit italic)))) doc)
						doc))
                        (message \"minibuffer height was %d\" (window-height (minibuffer-window))))"

Notice that the message shows height was 1.

Do that command again, but change it to bold:

emacs -q --eval="(progn (message \"%s\" (let ((doc \"(SEXP)\"))
						(add-text-properties 1 5 (list 'face '((t (:inherit bold)))) doc)
						doc))
                        (message \"minibuffer height was %d\" (window-height (minibuffer-window))))"

Notice that the height changes to 2 lines.

The maximum height of the regular sized font versus of the bold font
can NOT be so different as to cause the minibuffer have to increase in
height from 1 line to 2 lines.

The reason this is a big deal is because of eldoc mode. Enabling it
and moving the point over the first or any subsequent argument of an
Emacs Lisp function causes eldoc mode to call `message' with
propertized text that highlights the expected argument by changing the
font of that argument to be in bold font face in the text that is
displayed. But it seems that the bold font face then causes the
minibuffer to resize vertically to 2 lines instead of only 1 line. If
you are editing code in that window that is just above the minibuffer,
then the point in that window (relative to the main window) keeps
shifting around on the screen each time the cursor moves from typing
the function name to the first argument. And it gets worse when moving
around in the buffer which is visiting Elisp code, since it is likely
that the cursor crosses over functions or arguments of those functions
thus causing the minibuffer to keep changing height.

FYI, `eldoc-highlight-function-argument' is the function in
share/emacs/23.0.91/lisp/emacs-lisp/eldoc.el.gz that propertizes the
text, but the problem, in my opinion, is not with eldoc mode, but in
how emacs decides to resize the minibuffer based upon certain faces
such as the bold face.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/brentg/install/Linux.i686/share/emacs/23.0.91/etc/DEBUG for instructions.


In GNU Emacs 23.0.91.1 (i686-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-02-28 on yoga
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-x-toolkit' '--with-xft' '--prefix=/home/brentg/install/Linux.i686''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  desktop-save-mode: t
  erc-ring-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  iswitchb-mode: t
  delete-selection-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: 1
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-SPC C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-r 
w i n d o w - e i <backspace> <backspace> h e i g h 
t C-l C-M-u C-f C-w C-s C-/ C-s C-w C-s M-b <help-echo> 
<help-echo> C-x o C-x o C-M-u C-M-SPC C-z C-x o C-v 
C-M-p m e s s a g e SPC M-" m i n i b u f e r <backspace> 
<backspace> f e r SPC h i e <backspace> <backspace> 
e i g h t SPC i s SPC % d C-f SPC C-e C-p C-p C-p M-b 
M-b M-b M-b M-b M-f M-f M-b C-M-u C-M-SPC C-w C-v C-a 
<tab> C-e <return> <help-echo> M-P C-l C-a C-M-SPC 
C-w C-p C-f C-M-u C-M-u C-M-n C-q C-j C-v C-n C-p C-a 
C-f C-f C-f C-f C-f C-f C-f C-f C-f \ C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f \ > <backspace> <backspace> 
\ M-> <return> M-P M-b M-b M-b M-b M-b M-b M-f M-f 
M-f M-b C-M-SPC w a s M-> <return> M-P C-p C-p C-p 
C-e C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b 
C-b C-M-SPC i t a l i c M-> <return> M-x e m a c <tab> 
b <tab> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> s c <backspace> <backspace> c s - r e <tab> 
<C-backspace> r e p o r t <tab> <tab> <tab> <tab> <tab> 
<tab> e <tab> <tab> b <tab> <return>

Recent messages:
Pushed a window configuration. [2 times]
Mark saved where search started
Mark set [4 times]
History item: 1
Mark set [3 times]
History item: 1
Mark set [2 times]
History item: 1
Mark set [2 times]
Making completion list... [2 times]




Acknowledgement sent to Brent Goodrick <bgoodr@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3285; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.